Export Label Master List (Legacy)
curl --request GET \
--url 'https://api-metadata.etherscan.io/v1/api.ashx?apikey='import requests
url = "https://api-metadata.etherscan.io/v1/api.ashx?apikey="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api-metadata.etherscan.io/v1/api.ashx?apikey=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status":"1",
"message":"OK",
"result":[
{
"labelname":"Axelar",
"labelslug":"axelar",
"shortdescription":"Axelar delivers secure cross-chain communication for Web3. Its infrastructure enables dApp users to interact with any asset or application, on any chain, with one click. Axelar is an overlay network, delivering Turing-complete message passing via proof-of-stake and permissionless protocols.",
"notes":"",
"lastupdatedtimestamp":1712897117
},
{
"labelname":"Binance",
"labelslug":"binance",
"shortdescription":"Binance is one of the world’s leading blockchain ecosystems, with a product suite that includes the largest digital asset exchange.",
"notes":"",
"lastupdatedtimestamp":1759922816
}
]
}
Metadata Exports (Legacy)
Export Label Master List (Legacy)
Retrieve the master list of address labels and categories in Etherscan metadata (Legacy).
GET
/
v1
/
api.ashx
Export Label Master List (Legacy)
This is the legacy version, maintained for existing integrations. For new projects, use the multichain version.
This is a PRO endpoint, available to the Enterprise tier
{
"status":"1",
"message":"OK",
"result":[
{
"labelname":"Axelar",
"labelslug":"axelar",
"shortdescription":"Axelar delivers secure cross-chain communication for Web3. Its infrastructure enables dApp users to interact with any asset or application, on any chain, with one click. Axelar is an overlay network, delivering Turing-complete message passing via proof-of-stake and permissionless protocols.",
"notes":"",
"lastupdatedtimestamp":1712897117
},
{
"labelname":"Binance",
"labelslug":"binance",
"shortdescription":"Binance is one of the world’s leading blockchain ecosystems, with a product suite that includes the largest digital asset exchange.",
"notes":"",
"lastupdatedtimestamp":1759922816
}
]
}
Authorizations
Enter your Etherscan API key, or set one up if you don't have one.
Query Parameters
Set to nametag for this endpoint.
Set to getlabelmasterlist for this endpoint.
Response
200 - application/json
Successful response
1 if the request returned data, 0 otherwise. A status of 0 can indicate an error or a valid request that returned no records.
OK on success, otherwise an error description such as NOTOK. See common error messages.
Show child attributes
Show child attributes